package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 社区表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-03
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("pension_community")
public class PensionCommunityEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 
     */
	private String name;
    /**
     * 创建者dept_id
     */
	private Long deptId;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
}