package io.hmit.modules.serviceOrder.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.serviceOrder.dto.PensionOrganizationDTO;
import io.hmit.modules.serviceOrder.entity.PensionOrganizationEntity;

import java.util.List;

/**
 * 机构表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-10
 */
public interface PensionOrganizationService extends CrudService<PensionOrganizationEntity, PensionOrganizationDTO> {

    List<Long> findServiceIdListByServiceUserId(Long userId);

}