package io.hmit.modules.serviceOrder.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.serviceOrder.dto.PensionServiceTypeDTO;
import io.hmit.modules.serviceOrder.entity.PensionServiceTypeEntity;

import java.util.List;
import java.util.Map;

/**
 * 服务种类表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
public interface PensionServiceTypeService extends CrudService<PensionServiceTypeEntity, PensionServiceTypeDTO> {

    List<PensionServiceTypeDTO> getALLListByRole(Map<String, Object> params);

    List<PensionServiceTypeDTO> getServiceListByRole(Map<String, Object> params);
}
