package io.hmit.modules.serviceOrder.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.modules.serviceOrder.entity.RoleUserEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 角色用户关系
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Mapper
public interface RoleUserDao extends BaseDao<RoleUserEntity> {

    void deleteByUserIds(Long[] userIds);
    /**
     * 角色ID列表
     *
     * @param userId 用户ID
     * @return
     */
    List<Long> getRoleIdList(Long userId);



}
