package io.hmit.modules.serviceOrder.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 文件信息表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-27
 */
@Data
public class PensionDocumentExcel {
    @Excel(name = "")
    private Long id;
    @Excel(name = "文件名")
    private String fileName;
    @Excel(name = "文件大小")
    private Double fileSize;
    @Excel(name = "文件路径")
    private String filePath;
    @Excel(name = "文件真实路径")
    private String filePathAct;
    @Excel(name = "文件类型")
    private String fileType;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "状态")
    private String status;
    @Excel(name = "创建者dept_id")
    private Long deptId;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "创建时间")
    private Date createDate;
    @Excel(name = "更新者")
    private Long updater;
    @Excel(name = "更新时间")
    private Date updateDate;

}