package io.hmit.modules.serviceOrder.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-27
 */
@Data
public class UserExcel {
    @Excel(name = "id")
    private Long id;
    @Excel(name = "关联sys_user中的id")
    private Long userId;
    @Excel(name = "用户名")
    private String username;
    @Excel(name = "手机号")
    private String mobile;
    @Excel(name = "密码")
    private String password;
    @Excel(name = "创建时间")
    private Date createDate;
    @Excel(name = "微信openid")
    private String openid;
    @Excel(name = "生日")
    private Date birthday;
    @Excel(name = "地址_地区")
    private String addressArea;
    @Excel(name = "详细地址")
    private String address;
    @Excel(name =  "所属社区名称")
    private String communityName;
    @Excel(name =  "身体状态")
    private String healthStatus;
    @Excel(name =  "联系家属姓名")
    private String familyMemberName;
    @Excel(name =  "家属身份")
    private String familyMemberRole;
    @Excel(name =  "家属联系电话")
    private String familyMemberTel;
    @Excel(name =  "所属社区Id")
    private Long communityId;

}