package io.hmit.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Eve
 * @email mengmengeve@gmail.com
 * @create 2021/1/27
 */
@Data
@ApiModel(value = "用户信息")
public class UserInfoDTO {

    @ApiModelProperty(value = "用户id")
    private Long id;
    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;
    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String mobile;
    /**
     * 生日
     */
    @ApiModelProperty(value = "生日")
    private Date birthday;
    /**
     * 地址_地区
     */
    @ApiModelProperty(value = "地址_地区")
    private String addressArea;
    /**
     * 详细地址
     */
    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "所属社区名称")
    private String communityName;

    @ApiModelProperty(value = "身体状态")
    private String healthStatus;

    @ApiModelProperty(value = "联系家属姓名")
    private String familyMemberName;

    @ApiModelProperty(value = "家属身份")
    private String familyMemberRole;

    @ApiModelProperty(value = "家属联系电话")
    private String familyMemberTel;

}
