package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Eve
 * @email mengmengeve@gmail.com
 * @create 2021/1/28
 */
@Data
@ApiModel(value = "老人预约服务")
public class ReservationDTO {
    @ApiModelProperty(value = "订单所属的服务id")
    private Long serviceId;

    @ApiModelProperty(value = "订单所属的服务名称")
    private String serviceName;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "预约人")
    private String appointmentPerson;

    @ApiModelProperty(value = "预约人电话")
    private String appointmentPhone;

    @ApiModelProperty(value = "预约时间")
    private Date appointmentTime;

    @ApiModelProperty(value = "备注")
    private String remark;

}
