package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 机构表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-10
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("pension_organization")
public class PensionOrganizationEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 机构名称
     */
	private String name;
    /**
     * 机构图标
     */
	private String icon;
    /**
     * 机构描述
     */
	private String description;
}