package io.hmit.modules.serviceOrder.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.hmit.common.service.impl.CrudServiceImpl;
import io.hmit.modules.serviceOrder.dao.PensionOrganizationServiceDao;
import io.hmit.modules.serviceOrder.dto.PensionOrganizationServiceDTO;
import io.hmit.modules.serviceOrder.entity.PensionOrganizationServiceEntity;
import io.hmit.modules.serviceOrder.service.PensionOrganizationServiceService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 机构服务关系
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-10
 */
@Service
public class PensionOrganizationServiceServiceImpl extends CrudServiceImpl<PensionOrganizationServiceDao, PensionOrganizationServiceEntity, PensionOrganizationServiceDTO> implements PensionOrganizationServiceService {

    @Override
    public QueryWrapper<PensionOrganizationServiceEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<PensionOrganizationServiceEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}